/*
 *  color.cpp
 *  RayTracer
 *
 *  Modified by Rick Skarbez for COMP 575 - Fall 2007
 *  Originally created by Eric Bennett on 8/8/06.
 */

#include "color.h"

color::color(double rval, double gval, double bval) 
{
	r = (rval < 0) ? 0 : ((rval > 1) ? 1 : rval);
	g = (gval < 0) ? 0 : ((gval > 1) ? 1 : gval);
	b = (bval < 0) ? 0 : ((bval > 1) ? 1 : bval);
}
