/*
 *  material.cpp
 *  RayTracer
 *
 *  Created by Eric Bennett on 8/8/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "material.h"

material::material(double newr, double newg, double newb,
		 double newMixAmbient, double newMixDiffuse, double newMixSpecular,
		 double newPhongCoeff, double newMixReflection,
		 double newMixRefraction, double newRefractionIndex)
{
	r = newr;
	g = newg;
	b = newb;
	mixAmbient = newMixAmbient;
	mixDiffuse = newMixDiffuse;
	mixSpecular = newMixSpecular;
	phongCoeff = newPhongCoeff;
	mixReflection = newMixReflection;
	mixRefraction = newMixRefraction;
	indexRefraction = newRefractionIndex;
	nextMaterial = NULL;
}

color material::shade(ray3D &ray,  int recLevel, int maxRec, color &backColor, double currRIndex, object *objects, light *lights)
{
	// You fill this in yourselves. -RTS
	
}