/*
 *  light.h
 *  RayTracer
 *
 *  Modified by Rick Skarbez for COMP 575 - Fall 2007
 *  Originally created by Eric Bennett on 8/8/06.
 */

#ifndef LIGHT_H
#define LIGHT_H

#define LIGHT_AMBIENT 0
#define LIGHT_POINT 1

#include "vector3D.h"

class light 
{
public:
	int type;
	vector3D v;           
	double r, g, b; 
	light *nextlight;
	
	light(int newType, vector3D &newV, double newR, double newG, double newB);
};

#endif